aboutsummaryrefslogtreecommitdiff
path: root/src/mediaproxy/mediaproxy.init
diff options
context:
space:
mode:
Diffstat (limited to 'src/mediaproxy/mediaproxy.init')
-rwxr-xr-xsrc/mediaproxy/mediaproxy.init32
1 files changed, 32 insertions, 0 deletions
diff --git a/src/mediaproxy/mediaproxy.init b/src/mediaproxy/mediaproxy.init
new file mode 100755
index 0000000..ba9fe90
--- /dev/null
+++ b/src/mediaproxy/mediaproxy.init
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+# mediaproxy starts and stops the SER MediaProxy server
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting mediaproxy"
+ media-dispatcher && media-relay
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping mediaproxy"
+ kill `cat /var/run/mediaproxy/relay.pid`
+ kill `cat /var/run/mediaproxy/dispatcher.pid`
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac